import {
  request
} from "../utils/request";

module.exports = {
  // 获取阅读的详情
  getreadInfo: data => request(`/userRead/readInfo/${data}`, 'get', data),
  //设置视频状态。比如删除。禁用
  setVideoStatus: data => request('/userRead', 'put', data),
  // 作品点赞
  likeVideo: data => request(`/userRead/like/${data}`, 'get'),
  // 收藏
  collectVideo: data => request('/favorites', 'post', data),
  // 获取评论
  getComment: data => request('/posts/reply', 'get', data),
  // 发布评论
  postReply: data => request('/posts', 'post', data),
  // 删除评论
  delPost: data => request('/posts', 'delete', data),
  // 回复评论
  ReplyComment: data => request('/reply', 'post', data),
  // 评论点赞
  likeReply: data => request(`/posts/like/${data}`, 'get'),
  // 作品播放统计
  submitPlayLog: data => request('/base/playLog', 'post', data),
  // 获取作品点赞记录
  getLikeNotes: data => request('/likeLog', 'get', data),
  // 获取单条点赞记录
  getLikeNote: data => request(`/likeLog/one/${data}`, 'get'),
  // 获取单条评论记录
  getCommentNote: data => request(`/posts/one/${data}`, 'get'),
}